# Changelog
## [1.21.2] - 2026-08-05

### Fixed
- Ошибка при обновлении ПО через WEB ( в версии 1.21.0 )

## [1.21.0] - 2026-06-15

### Added
- Поддержка IPv4 VACL
- Поддержка LLDP-MED
- Аутентификация в WEB-интерфейсе через RADIUS/TACACS+
- Команда для блокировки unknown multicast-трафика на адреса 239.0.0.0/8 при включённом IGMP Snooping для моделей SNR-S531x, SNR-S5110G-48TX(-POE)
- Настройки выделенного RADIUS-сервера для MAB и Dot1X
- Логирование скорости/дуплекса порта при поднятии линка ('logging event link-status include speed-duplex')
- SNMP: управление IGMP Snooping (1.3.6.1.4.1.40418.7.100.8), Multicast-VLAN (1.3.6.1.4.1.40418.7.100.5.2, 1.3.6.1.4.1.40418.7.100.5.3)

### Changed
- Количество локальных учётных записей увеличено до 32
- Максимальное количество символов в команде 'banner motd' увеличено до 1000
- Улучшен функционал диагностики медного кабеля

### Fixed
- Утечка памяти в функционале MAC-Notification при большом количестве событий add/remove MAC
- На GE Combo портах в режиме fiber при переключении скорости из force100m-full в force1g-full не включалось negotiation
- Не отображались LLDP-соседи в LLDP-MIB .1.0.8802.1.1.2.1.4.2.1
- Некорректный порядок правил management ACL (200-399) при выводе или сохранении конфигурации
- Перезагрузка коммутатора с включённым IP DHCP Snooping Binding при большом количестве незавершённых DHCP-сессий
- Некорректный Bridge System ID в STP BPDU
- ERPS: некорректный бит DNF в R-APS пакете при выполнении команды 'clear command'
- ERPS: отображение времени последнего изменения топологии в команде 'show erps status'


## [1.20.1] - 2026-04-13

### Fixed

- Некорректный адрес хоста в сообщении "Last login .." при логине
- SNMP: OID sysWriteConfig (.1.3.6.1.4.1.40418.7.100.1.6.0) не сохраняет startup.conf
- Некорректная работа TACACS+ в связке с SSH и TELNET при аутентификации на коммутаторе


## [1.20.0] - 2026-03-23

### Added

- Поддержка IPv6-маршрутизации
- Команда 'ip dhcp snooping action shutdown'
- Режим Port-Security sticky
- Опциональное отключение сообщения "Last login .." при логине ('set cli hello-prompt {on | off}')
- Команда для блокировки unknown multicast-трафика на адреса 239.0.0.0/8 при включенном IGMP Snooping на моделях SNR-S5210, SNR-S5110G-24TX(-POE)
- Остановка процесса ZTP при применении настроек в WEB
- SNMP OID для настройки flood control на портах (.1.3.6.1.4.1.40418.7.100.3.2.1.43, .1.3.6.1.4.1.40418.7.100.3.2.1.44, .1.3.6.1.4.1.40418.7.100.3.2.1.45 )
- SNMP OID для получения таблицы IP DHCP Snooping Binding (.1.3.6.1.4.1.40418.7.100.13.3.20)

### Changed

- В команде iperf3 диапазон значений TOS расширен с <0-7> до <0-255>

### Fixed

- Названия источников питания для моделей SNR-S5310X-8TX-DC и SNR-S5310X-8TX-UPS
- При настройке SNMP-сервера с нестандартным портом постоянно отправлялся Dying Gasp SNMP Trap
- Исправлен hostname по умолчанию для модели SNR-S5310G-48TX hw rev 2
- Negotiation на Fiber Combo-портах отключалось в режиме force1g-full
- Некорректная работа User-Defined ACL на моделях SNR-S531x, SNR-S5110G-48TX(-POE) (в ACL попадали пакеты с портов ge33-48 и xe, независимо от порта на который установлен ACL)
- При добавлении порта в режиме Hybrid в PO/SA удаляется VLAN 1 из списка разрешенных untag VLAN
- Лишние пробелы в running и startup конфигах
- В режиме 'no igmp snooping report-suppression' при получении IGMP Leave без опции Router-Alert в следующем IGMP Query пакете могли устанавливаться некорректные SRC_IP и DST_IP
- Отображение статуса вентиляторов SNR-S5210G-24FX в WEB
- При настройке IPv4, IPv6 или MAC ACL правила, отличающиеся только по VLAN или по DST Port, ошибочно интерпретировались как дублирующие (% This object already exist)
- Исправлена работа функционала 'archive running-config'
- В MAB не авторизовывались пакеты, если SMAC изучен на другом порту коммутатора
- SNMP: В OID dot1qVlanCurrentUntaggedPorts (1.3.6.1.2.1.17.7.1.4.2.1.5) и dot1qVlanCurrentEgressPorts (1.3.6.1.2.1.17.7.1.4.2.1.4) не отдавались Static-Channel интерфейсы
- Решены проблемы совместимости конфигурации SNMP при обновлении с версий ниже 1.17.0


## [1.19.0] - 2026-02-16

### Added

- WEB-интерфейс (HTTPS). Включен по умолчанию, для отключения (при необходимости) примените команду 'no ip http secure-server'
- Поддержка моделей SNR-S5310X-8TX-2AC, SNR-S5310X-8TX-UPS, SNR-S5310X-8TX-RPS, SNR-S5310X-8TX-DC

### Changed

- Игнорирование административного включения/отключения портов в Port-flap Errdisable
- Отключена опция TCP-forwarding на SSH сервере

### Fixed

- Утечка памяти при выполнении команды 'show running-config'
- Зависание коммутатора при вызове команды 'show ip dhcp binding' в определенных сценариях
- Некорректное время в выводе команды 'show ip dhcp snooping blocked'
- Некорректные индексы агрегированных портов в OID dot1qTpFdbPort (1.3.6.1.2.1.17.7.1.2.2.1.2 )
- Ошибка 'OID not increasing' при одновременном опросе OID dot1qTpFdbPort (.1.3.6.1.2.1.17.7.1.2.2.1.2) и dot1dTpFdbAddress (.1.3.6.1.2.1.17.4.3.1.1)


## [1.18.0] - 2025-12-05

### Added

- SNMP: Добавлена ветка для управления функционалом ERPS erpsMgt (.1.3.6.1.4.1.40418.7.100.39)
- Добавлено шифрование паролей FTP, SFTP и SCP в команде 'archive running-config' при выводе конфигурации
- Логирование событий функционала 'ip dhcp snooping action blackhole'
- На оптических портах добавлен механизм Port-flap Errdisable, для исключения зависания ПО при большом количестве link-flap. Errdisable срабатывает при смене состояния порта более 10 раз в течение 5 секунд. Таймаут восстановления порта - 30 сек.
- Поддержка модели SNR-S5210G-24TX-R

### Changed

- Команда 'ip dhcp snooping binding user-control' разрешена на trunk и hybrid портах
- Добавлен фильтр кириллицы в логине и пароле и отображение количества введенных символов в пароле
- Добавлена обработка IGMP пакетов с IP-адресом назначения 224.0.0.0/23 функционалом multicast destination control
- Оптимизирована работа SNMP ветки POE на моделях SNR-S5110G-24TX-POE и SNR-S5110G-48TX-POE
- OpenSSH обновлен до версии 10.2p1. Дополнительно разрешены алгоритмы KEX: diffie-hellman-group1-sha1, diffie-hellman-group14-sha1, diffie-hellman-group-exchange-sha1, ciphers: aes128-cbc, aes192-cbc, aes256-cbc,3des-cbc, MAC: hmac-sha1, hmac-md5, hmac-sha1-96, hmac-md5-96, host и public ключи ssh-rsa

### Fixed

- Некорректное отображение статистики пакетов ACL
- Постоянная отправка SNMP Trap Dying Gasp при использовании нестандартного SNMP порта
- При включенном PPPoE Intermediate Agent PADR пакеты, полученные на trust порт, копировались обратно в этот же порт
- MSTP: некорректное отображение Designated Bridge в команде 'show spanning-tree mst instance'
- MSTP: неверный Bridge ID в пересылаемых BPDU
- RSTP: исправлена работа алгоритма Proposal-Agreement
- Ложное срабатывание storm-control при ограничении <= 10 pps на моделях SNR-S5110G-24TX(-POE), SNR-S5210
- SNMP: OID ifAdminStatus некорректно выключал интерфейс
- SNMP: OID shutdown (.1.3.6.1.4.1.40418.7.100.3.2.1.12) не восстанавливал интерфейс из состояния Errdisable
- SNMP: скорректировано значение OID ifSpeed для портов 10GbE


## [1.17.0] - 2025-09-15

### Added
- DHCP Snooping Binding user-control в VLAN
- Gratuitous ARP
- User-defined ACL
- Шаблоны vendor и model в команде 'ip dhcp client vendor-identifier'
- Поддержка SHA-256 в шифровании паролей пользователей SNMPv3
- Логирование функционала 'spanning-tree guard root'
- SNMP OID на получение VLAN MAC коммутатора (1.3.6.1.4.1.40418.7.100.1.105.0)
- В SNMP OID sysName (1.3.6.1.2.1.1.5.0) добавлена возможность записи
- Поддержка модели SNR-S5310X-8TX
- Поддержка модели SNR-S5310G-48TX hardware version 2.x

### Changed
- Настройки SNMP выделены в отдельный режим конфигурации SNMP (сохранена совместимость с предыдущей конфигурацией)
- Одновременная перемаркировка и приоритезация трафика по полям DSCP и COS в Policy-map
- Оптимизирована работа автосогласования на SFP+ портах для совместимости с 1G SFP трансиверами сторонних вендоров
- Отключено хранение ключей (known hosts) в SSH клиенте
- Оптимизирован опрос параметров PoE в CLI и SNMP на моделях SNR-S5110G-24TX-POE и SNR-S5110G-48TX-POE
- SNMP Engine-ID приведен к виду 8000DF7603 + CPU MAC коммутатора

### Fixed
- Перезагрузка при записи пустой строки в некоторые SNMP OID
- Совместимость 802.1x c сервером Windows NPS
- Неверное расположение настроек ACL относительно class-map в конфигурации, что приводило к некорректному применению startup-config
- Скорректировано поведение DHCP Snooping Binding для записей с одинаковыми MAC и IP
- При применении команды 'no hostname' удалялся lldp system-name
- Скорректирована работа команды 'spanning-tree guard root' (состояние root-inconsistent на портах в DOWN, таймер восстановления)
- Обновление ARP записи при смене MAC
- Исправлено значение SNMP OID ifSpeed (1.3.6.1.2.1.2.2.1.5) на 0 для SFP+ портов в состоянии DOWN
- Из счетчика input error на интерфейсе исключены pause frame
- Исправлено отображение команды 'snmp-server host <host> {informs version 3 | traps version 3 | version 3 } priv' в конфигурации
- Невозможность использования спецсимволов '~ }{ & > < % ! + , ' в команде 'copy ..' в username и password


## [1.16.0] - 2025-06-23

## Added
- Функционал 802.1X MAC-based
- Вставка опции 18 в DHCPv6 пакеты
- Логирование и отправка SNMP trap с информацией о пакетах, заблокированных функционалом DHCP Snooping Binding user-control или AM
- Команда для включения DHCP Snooping во всех VLAN (команда 'ip dhcp snooping vlan all')
- SNMP OID для управления изоляцией портов (.1.3.6.1.4.1.40418.7.100.100)
- Настройка формата PPPoE IA на портах
- Настройка формата MAC-адреса, передаваемого на RADIUS сервер при аутентификации MAB
- Добавлены атрибуты Called-Station-ID и Calling-Station-ID в RADIUS запрос при аутентификации MAB
- Возможность добавления VLAN 1 в ненулевой MST Instance
- Возможность указать Port-channel в качестве monitor session destination interface
- Установка VLAN + CoS в policy-map (команда 'add s-vid <vid> [cos <0-7>]')
- Команда для отбрасывания тегированных пакетов на порту ('switchport discard packet tag')
- Поддержка priority-tagged пакетов (VLAN 0) в QinQ
- Поддержка модели SNR-S5210G-24TX-2AC

### Changed
- Шифрование SNMP-community и паролей SNMP-user в конфигурации коммутатора
- При авторизации и аккаунтинге вводимых команд через TACACS+ введенные сокращенные команды дополняются до полных
- Минимальное значение ERPS WTR-timer уменьшено с 3 до 1 минуты
- Скорректирован вывод семейства команд 'show spanning-tree'
- Уменьшена загрузка CPU при опросе SNMP веток switchinfo, iftable, ifXtable на моделях SNR-S5310, SNR-S5311, SNR-S5110G-48TX(-POE)
- Удален символ '#' из вывода команды 'show interface brief'

### Fixed
- Атрибут SNR-User-Priv игнорировался, если он не был первым атрибутом в ответе RADIUS сервера
- В определенных сценариях после удаления RADIUS сервера на него продолжали отправляться запросы авторизации
- Не удалялась команда 'ip dhcp snooping binding user-control' с интерфейса, если на нем есть запись AM
- ERPS: исправлена некорректная очистка MAC-адресов при получении R-APS (SF) пакетов в состоянии Protection
- При удалении Multicast VLAN на портах, где он был ассоциирован, удалялся пользовательский VLAN
- Флап линка при первом включении LLDP на порту
- Номера OID в ветке poePortConfigEntry (.1.3.6.1.4.1.40418.7.100.26.10.1) приведены в соответствие с MIB


## [1.15.4] - 2025-06-10

### Fixed
- Использование Policy-map c пустым class-map или class-map со стандартным ACL, содержащим правило 'permit any', приводит к искажению существующего правила в ячейке №0 TCAM, что может привести к некорректной работе функционала ACL, DHCP Snooping binding user-control, SAVI и самого Policy-map с данным class-map.


## [1.15.2] - 2025-05-05

### Added
- Остановка процесса ZTP при выполнении команд 'copy', 'reload', 'delete', 'write', 'cp', 'mv'
- Добавлена поддержка ECDSA-ключей в SSH-сервер

### Changed
- Удалена команда 'ssh key dsa'
- Внесены правки в алгоритм обработки ARP-пакетов на основе RFC 826
- Изменен алгоритм DHCP Snooping binding в некоторых сценариях
- Увеличено время ожидания ответа от DHCP-сервера на запрос DHCP-клиента до 30 секунд для DHCP Snooping binding
- Символ "@" разрешено использовать в SNMP community и именах пользователей SNMP
- Добавлен запрет использования символа '#' в начале паролей auth-pass и priv-pass в команде создания пользователя SNMP
- Отключен аппаратно не поддерживаемый вывод DropPkts в команде 'show cpu-rx-ratelimit protocol' для моделей серий SNR-S5110G-48TX(-POE), SNR-S5310G-48TX(-POE), SNR-S5311G-48TX-POE

### Fixed
- Некорректная передача по SNMP информации о содержимом таблицы MAC-адресов
- Перезагрузка коммутатора при выполнении команды 'resequence access-list'
- Ошибка при выполнении команды 'no storm-control' в режиме конфигурации интерфейса на моделях серий SNR-S5110G-48TX(-POE), SNR-S5310G-48TX(-POE), SNR-S5311G-48TX-POE
- Авторизация паролей FTP с символами  '=', '*', '"', '$', '^', ':', '#'
- В команде 'no access-list (<100-199>|<2000-2699>)' параметр eq <0-65535> сделан необязательным
- Неверный вывод Control Mode в OID lpbackDetecShowInformation
- Перезагрузка коммутатора при использовании в команде 'username <name> sshkey file <filename>' значений <name> более 10 символов
- Некорректное STP-состояние порта в некоторых сценариях
- Неверное отображение маски IP-адресов в IPv4 ACL и Multicast ACL в конфигурации
- Не удаляется команда 'switchport protocol-vlan' на интерфейсе при переключении интерфейса в режим private-vlan
- Не работает ограничение на редактирование именованного ACL, если ACL применён к порту
- Дублирование информации DDM с GE на XE порты в некоторых сценариях на модели коммутатора SNR-S5210G-24FX
- Не удаляется по таймауту запись-candidate таблицы DHCP Snooping binding в некоторых сценариях
- Не удаляется запись-candidate таблицы DHCP Snooping binding при создании соответствующей записи-binding
- Не выполняется команда 'ip dhcp snooping binding user-control' в некоторых сценариях

## [1.15.0] - 2025-03-17

### Added
- Выбор резервной прошивки для моделей серий SNR-S5210 и SNR-S531x (требуется обновление bootrom до версии 1.10)
- Формат DHCP опции 82 'vs-cisco'
- SNMP OID для настройки и применения на порт IP-ACL, MAC-ACL, MAC-IP ACL (.1.3.6.1.4.1.40418.7.100.10.1)
- SNMP OID для настройки и применения на порт Multicast ACL (.1.3.6.1.4.1.40418.7.100.20)
- SNMP OID для включения LBD на порту (.1.3.6.1.4.1.40418.7.100.3.4.21)
- SNMP OID для настройки LBD interval (.1.3.6.1.4.1.40418.7.100.3.4.2)
- SNMP OID для настройки режима работы LBD (.1.3.6.1.4.1.40418.7.100.3.4.3)
- SNMP OID для настройки таймера восстановления порта в режиме LBD block (.1.3.6.1.4.1.40418.7.100.3.4.20.0)
- SNMP OID для включения/отключения таймера Errdisable-Recovery (.1.3.6.1.4.1.40418.7.100.3.30.0)
- SNMP OID для настройки значения таймера Errdisable-Recovery  (.1.3.6.1.4.1.40418.7.100.3.31.0)
- Поддержка модели SNR-S5310G-48TX-RPS

### Changed
- Максимальное количество одновременных RADIUS сессий для IGMP RADIUS Authentication увеличено до 128
- Уровень логирования по умолчанию на flash изменен с 2 (Critical) на 4 (Warning)

### Fixed
- Работа ветки SNMP storm-control .1.3.6.1.4.1.40418.7.100.3.3
- Авторизация паролей enable с символами ',' и '$' через RADIUS
- Не коммутируется трафик в isolated vlan между host и promiscuous портами
- Не удаляется multicast-vlan при смене режима порта с access на trunk по SNMP
- Блокировка пакетов PTP (IEEE1588) на портах с включенным 'spanning-tree disable'
- Блокировка пакетов из CPU (ARP, DHCP и.т.п.) на порты с включенной изоляцией в VLAN
- Перестроение дерева STP при получении повторных STP BPDU c флагом Proposal


## [1.14.0] - 2025-02-11

### Added
- Функционал Private Vlan
- Функционал SSH pre-shared key
- Команда для добавления статических записей в DHCP Snooping binding
- Поддержка скорости 2,5G на 10G SFP+ портах для моделей серии SNR-S5210 и SNR-S5110G-24TX(-POE)
- Настройка выделенного Radius сервера для IGMP RADIUS Authentication
- Возможность добавления второго тега VLAN в Policy-map (команда 'add s-vid')
- Автоопределение скорости SFP+ портов на основании значения DDMI link-length SFP+/SFP модуля
- Возможность изменения скорости консольного порта на 9600 для моделей серий SNR-S5210 и SNR-S531x
- Передача hostname в шаблоне %h DHCP Option-82, DHCPv6 Option 37/38, PPPoE IA в режиме HEX
- SNMP OID .1.3.6.1.2.1.4.22 (ipNetToMediaTable) для просмотра ARP-таблицы
- SNMP OID .1.3.6.1.4.1.40418.7.100.3.15 для очистки статистики портов
- SNMP OID .1.3.6.1.4.1.40418.7.100.1.11.25 - свободные ресурсы CPU за 1 минуту
- SNMP OID .1.3.6.1.4.1.40418.7.100.1.11.15 - объем занятой Flash в байтах
- Поддержка модели SNR-S5311G-48TX-R
- Поддержка модели SNR-S5310G-48TX-UPS
- Поддержка модели SNR-S5210G-8TX-DC

### Changed
- Максимальное количество Vlan с ARP inspection увеличено до 32
- В команду 'clear ip dhcp snooping binding' добавлена возможность очистки по IP, MAC, VLAN и порту
- В команду 'show spanning-tree brief' добавлено отображение Internal Root Path Cost
- Обновлён SSH сервер, отключены  цифровые подписи на базе RSA-ключей с хэшем SHA-1 ("ssh-rsa")

### Fixed
- Зависание коммутатора при большом количестве DHCP-пакетов (>50 pps) с включенным DHCP Relay share-vlan
- Зависание IGMP Snooping при обработке IGMP пакетов с некорректной опцией заголовка IPv4
- Некорректная работа TACACS+ ключей, содержащих символы "#" или "$"
- Из поля "remote address" пакетов TACACS+ удален номер порта
- Некорректное имя пользователя в пакетах RADIUS Accounting-Request
- Закрытие сессии пользователя при вводе пароля enable c пробелами
- Не удаляется порт из Port-Channel/Static-Aggregation-Channel при настроенном на порту storm-control
- Дропы в Iperf3 на скорости > 4Мбит/с
- Изменение метки CoS у транзитных пакетов
- Некорректное отображение статистики пакетов на физических портах после очистки статистики на Port-Channel/Static-Aggregation-Channel интерфейсах
- Команды terminal length и terminal width отменяли настройки друг друга
- Тегированные STP BPDU обрабатывались протоколом STP
- Возможность удаления всех Vlan с порта через SNMP OID: portTrunkAllowedvlan (.1.3.6.1.4.1.40418.7.100.3.2.1.20), portHybridTaggedAllowedvlan (.1.3.6.1.4.1.40418.7.100.3.2.1.21), portHybridUntaggedAllowedvlan (.1.3.6.1.4.1.40418.7.40418.3.2.1.22)


## [1.13.0] - 2024-12-16
### Added
- Функционал IPv6-ACL
- Функционал ERPS
- Функционал IPv6 VACL
- Функционал LBD per VLAN
- SNMP OID .1.3.6.1.4.1.40418.7.100.3.2.1.7 для просмотра статуса Bandwidth Control
- SNMP OID .1.3.6.1.4.1.40418.7.100.3.2.1.8 для просмотра максимальной пропускной способности
- SNMP OID .1.3.6.1.4.1.40418.7.100.3.2.1.9 для управления значением входящей пропускной способности
- SNMP OID .1.3.6.1.4.1.40418.7.100.3.2.1.10 для управления значением исходящей пропускной способности 
- SNMP ветка .1.3.6.1.4.1.40418.7.100.3.3 для управления функционалом Storm Control
- SNMP ветка .1.3.6.1.4.1.40418.7.100.3.20 для управления действиями при срабатывании Storm Control
- SNMP ветка .1.3.6.1.4.1.40418.7.100.33 для управления MAC-notification
- Option 43, option 60 в функционал DHCP Server
- Логирование событий Spanning-Tree: состояния портов

### Changed
- Отменено минимальное ограничение имени пользователя в команде 'snmp-server user <username>'
- Размер лог файлов в RAM и FLASH ограничен в 400 Kbytes
- Изменен приоритет ACL, примененных на интерфейс. Приоритет приведен к виду:
       IPv6 ACL
       MAC-IP-ACL
       IP-ACL
       MAC-ACL
  (сверху вниз от наиболее приоритетного)
  
### Fixed
- Перезагрузка коммутатора при выполнении команды 'show logging logfile' в некоторых сценариях
- Не работает сочетание клавиш CTRL+Z для выхода в привилегированный режим
- Некорректный формат некоторых приватных snmp-traps
- Некорректное отображение в конфигурации состояния SSH-сервера
- Некорректное отображение правил MAC-IP-ACL, IP-ACL с зарезервированными номерами протоколов
- Некорректная работа MAC-IP-ACL при установке правила без указания протокола L4
- Зависание коммутатора при выполненной на интерфейсе команде 'ethernet-oam'
- Утечка памяти на прошивке 1.12.0, если включен функционал snmp-trap или функционал логирование на syslog-сервер
- Не создаются mstp instance на прошивке 1.12.0 при использовании команды end при выходе из режима 'spanning-tree mstp configuration'
- Не создаются mstp instance на прошивке 1.12.0 при загрузке коммутатора при некоторых конфигурациях
- Включается mstp на прошивке 1.12.0 при входе в режим 'spanning-tree mstp configuration'


## [1.12.0] - 2024-11-18
### Added
- Функционал MAC-IP-ACL
- Настраиваемое время жизни записей в кеше IGMP Snooping RADIUS Authentication 
- SNMP ветка .1.3.6.1.4.1.40418.7.100.13 для управления функционалом DHCP Snooping
- SNMP OID .1.3.6.1.4.1.40418.7.100.1.6.0 для сохранения конфигурации
- SNMP OID .1.3.6.1.4.1.40418.7.100.1.11.14.0 - общий размер flash в байтах
- Команда 'logging server time-format local' для установки локального времени в timestamp Syslog сообщений
- Отправка сообщений Dying Gasp на Syslog сервер при отключении питания на коммутаторе
- Поддержка модели SNR-S5210G-24FX-2AC

### Changed
- Статическое распределение TCAM с фиксированным количеством правил для каждого функционала (MAC-ACL, IP-ACL, Binding, Policy-map и.т.п.) изменено на динамическое, в зависимости от используемого функционала на коммутаторе. Общее количество доступных TCAM правил увеличено до 1792 для моделей SNR-S5110G-24TX(-POE) и всех моделей серии S5210, и до 3840 для моделей SNR-S5110G-48TX(-POE) и всех моделей серии S5310
- Изменен алгоритм шифрования RADIUS и TACACS+ ключей в конфигурации на более стойкий. При этом сохранена обратная совместимость со старым алгоритмом шифрования
- Добавлена возможность использовать '.' в имени пользователя
- Минимальный интервал отправки пакетов LBD в команде 'loopback-detection interval-time' уменьшен до 1 сек.
- В режиме igmp snooping report-suppression добавлена задержка при отправке IGMP-Report с активными подписками при получении IGMP General Query (0,1 сек на каждые 32 пакета) для уменьшения pps IGMP пакетов на вышестоящих коммутаторах
- Изменен список доступных команд в непривилегированном режиме (удалены команды: 'clear', 'debug', 'undebug', 'license', 'ntp', 'sntp', 'ztp', 'poe-led-mode', 'reset', добавлены команды: 'ping', 'traceroute', 'telnet', 'ssh')

### Fixed
- В режиме авторизации 'aaa alternate-model' пользователи с ролью network-admin после успешной аутентификации попадали в непривилегированный режим
- В шаблоне '%h' формата DHCP опции 82 и PPPoE IA длина поддерживаемого hostname увеличена до 63 символов
- Исправлена совместная работа интерфейсов PO16 и SA1
- Команда 'igmp snooping limit group' ограничивала количество подписок на порту, исходя из общего количества подписок на коммутаторе, а не количества подписок на порту
- Некорректная работа OID lldpPortConfigTLVsTxEnable (1.0.8802.1.1.2.1.1.6.1.4) на запись
- Нажатие 'Ctrl+Z' во время процесса обновления ПО коммутатора приводило к невозможности запустить обновление ПО повторно
- Обновление ПО по SNMP не из корневой папки сервера ('/' в имени файла-источника) приводило к невозможности запустить обновление ПО повторно
- Отправка SNMP-trap при применении команд 'snmp-server ...'
- При удалении TACACS+ сервера из конфигурации коммутатор продолжал использовать его для аутентификации
- Некорректная работа таймаута при недоступности TACACS+ сервера
- DHCP Server не запускался после перезагрузки коммутатора в определенных сценариях


## [1.11.1] - 2024-10-07
### Fixed
- Не работают команды установки доверия меткам CoS и DSCP на порту ('mls qos trust cos', 'mls qos trust dscp')
- Пользовательские сессии могли не закрываться по истечению exec-timeout


## [1.11.0] - 2024-09-17
### Added
- SNMP ветка .1.3.6.1.4.1.40418.7.100.26.10 для получения статуса PoE
- SNMP ветка .1.3.6.1.4.1.40418.7.100.32 для управления Port-Security
- Возможность настройки порта syslog сервера
- Поддержка broadcast ответов от DHCP-сервера в DHCP-клиенте коммутатора

### Changed
- В статистику SNMP OID ifOutDiscards (1.3.6.1.2.1.2.2.1.19) добавлены пакеты, отброшенные по причине отсутствия ресурсов
- Максимальное количество VLAN в DHCP Snooping увеличено до 32
- В функционал storm-control добавлен burst 10% от установленного ограничения (но не более 65535 пакетов/байт, в зависимости от типа ограничения)

### Fixed
- Перезагрузка PPPoE IA при получении специфического PPPoE пакета
- Port-security не переводит порт в состояние errdisable
- При наличии символа "." в hostname, в syslog сообщениях в hostname не передавались символы после "."
- Некорректная настройка изоляции портов, при указании более 50 интерфейсов
- Ошибка при настройке bandwitdh control receive на моделях SNR-S5310G-48TX, SNR-S5310G-48TX-POE, SNR-S5110G-48TX и SNR-S5110G-48TX-POE
- Невозможность залогиниться на коммутатор, при загрузке конфигурации с отключенным логированием на flash ('no logging logfile')
- Утечка памяти при выполнении команды 'show running-config'
- DHCP Server не стартует после перезагрузки коммутатора


## [1.9.7] - 2024-09-05
### Added
- Функционал MAC-VLAN
- Поддержка шаблонов hostname и slot в self-defined форматах DHCP опции 82 и PPPoE Intermediate agent
- Поддержка одновременного назначения меток VLAN и COS в policy-map
- Режим авторизации 'aaa alternate-model' при котором после успешной авторизации enable привилегия пользователя повышается до network-admin

### Fixed
- Отправка избыточных IGMP-report в режиме report-suppression при получении отписки от мульткаст группы, если на коммутаторе остались подписчики на данную группу


## [1.9.6] - 2024-08-21
### Added
- Поддержка модели SNR-S5210G-8TX-POE
- Поддержка модели SNR-S5210G-8TX-RPS

### Fixed
- Некорректная инициализация порта xe1 на моделях SNR-S5310G-48TX. SNR-S5310G-48TX-2AC, SNR-S5310G-48TX-2DC, SNR-S5310G-48TX-DC


## [1.9.4] - 2024-07-31
### Fixed
- Перезагрузка коммутатора при определенном multicast ACL


## [1.9.3] - 2024-07-26
### Changed
- В имени пользователя разрешены символы в верхнем регистре
- Из вывода SNMP убраны служебные интерфейсы

### Fixed
- SNMP OID ifAlias при пустом Description возвращает непустое значение
- Высокая загрузка CPU при опросе DDMI на SNR-S5210G-24TX-POE


## [1.9.2] - 2024-07-15
### Added
- Поддержка модели SNR-S5310G-48TX-2DC

### Fixed
- Ограничение передачи l2-mcast пакетов при включенном IGMP Snooping
- При срабатывании 'spanning-tree bpdu-guard' порты не восстанавливались из состояния Errdisable
- Исправлено значение SNMP OID LpbackDetecShowInformation (.1.3.6.1.4.1.40418.7.100.3.4.5.1.2)
- Исправлен вывод SNMP ENTITY-MIB

### Changed
- Передача имени пользователя в Tacacs+ пакете при авторизации enable через Tacacs+


## [1.9.0] - 2024-06-26
### Added
- Команда 'ip dhcp relay share-vlan relay-unicast' для включения DHCP-Relay для unicast DHCP пакетов
- SNMP OID .1.3.6.1.4.1.40418.7.100.26.6.0 для получения суммарной потребляемой мощности PoE
- Индикация наличия startup-config диодом DIAG (частота мигания DIAG - 1 сек. при наличии startup-config, 0,1 сек. при работе с конфигурацией по умолчанию)
- Поддержка в ZTP DHCP опции 125 - назначение на int vlan1 "ip address dhcp" при неуспешном завершении ZTP
- Поддержка модели SNR-S5110G-24TX-POE
- Поддержка модели SNR-S5110G-48TX-POE
- Поддержка модели SNR-S5311G-48TX-POE
- Поддержка модели SNR-S5210G-8TX-UPS

### Changed

- Перезапуск ZTP каждые 10 минут при загрузке коммутатора без конфигурации (перезапуск ZTP отменяется при переходе в конфигурационный режим или при сохранении конфигурации)

### Fixed
- На SFP+ портах в режиме 1G в автосогласовании включается flow-control
- IPv6 SAVI | Не создаётся запись по пакетам DHCPv6 REBIND/RENEW
- Пользовательские сессии могли не очищаться при применении команды 'clear line ..'
- При включенном ARP-Inspection, ARP-пакеты коммутировались без учета изоляции портов (isolate-traffic)
- Коммутация ULDP пакетов при включенном ULDP
- Отображение параметра DDMI "link length" для модулей с дальностью > 25 км.
- В выводе команды "show transceiver" на модели SNR-S5210G-24FX, значения DDMI могли отображаться на портах без SFP модулей
- Ошибка при копировании по SNMP файлов с расширением ".conf"
- Некорректный формат SNMP trap при UP/Down портов


## [1.8.3] - 2024-05-02
### Fixed
- Не поднимается линк на XE портах при использовании 1G SFP модулей без DDMI (модели SNR-S5210G-24TX(-RPS|-UPS|-DC), SNR-S5210G-8TX, SNR-S5210X-8F(-RPS|-UPS|-DC), SNR-S5210G-24FX(-RPS|-UPS|-DC))

## [1.8.2] - 2024-04-17
### Added
- IPv6 DHCP Snooping
- IPv6 SAVI (режим dhcp-only)
- Поля VLAN и COS в IP ACL
- Режим одновременного конфигурирования несколькими пользователями (multi config access)
- Функционал "ip dhcp snooping blackhole"
- Поддержка многострочного баннера
- Поддержка моделей SNR-S5310G-48TX-DC и SNR-S5310G-48TX-2AC
- SNMP:
  - Отображение статуса LoopbackDetection (.1.3.6.1.4.1.40418.7.100.3.4)
  - OID и trap для мониторинга питания модификаций -RPS и -DC

### Changed
- Увеличен blksize по умолчанию для tftp клиента
- Скрыто отображение значения по умолчанию команды mls qos queue weight
- Добавлено отображение Description порта в выводе команды 'show interface brief'
- Символ "." разрешено использовать в snmp community и именах пользователей SNMP
- Убрано добавление префикса "Contact E-Mail Address: " в SNMP OID 1.3.6.1.2.1.1.4.0
- Добавлено автоматическое удаление всех завершающих пробелов в командах 'description <description>', 'snmp-server location <location>', 'snmp-server contact <contact>'

### Fixed
- Отключение Errdisable Recovery-timer при вводе команды 'shutdown' на порту
- Некорректное отображение уровня сигнала DDMI RX/TX -40 при определенных сценариях
- Вывод команды 'show interface capabilities'
- Некорректная работа IP-ACL, MAC-ACL (пакеты могли ошибочно подпадать под правила ACL)
- Отправка DHCP пакета обратно на порт получения при включенном "ip dhcp snooping"
- Отображение ограничения максимальной мощности POE на порту в команде 'show power inline interface' для моделей SNR-S5210G-24TX-POE и SNR-S5310G-48TX-POE
- Отображение режима работы вентиляторов 'show fan' для моделей SNR-S5210G-24TX-POE и SNR-S5310G-48TX-POE
- При выходе через Ctrl+C из диалогового режима команды 'copy', копирование файлов могло заблокироваться до перезагрузки

## [1.8.1] - 2024-03-04
### Added
- SNMP:
  - Поддержка RMON-MIB
  - Поддержка ENTITY-MIB
  - OID для получения групп IGMP Snooping
  - OID для мониторинга вентиляторов
  - Trap по событиям Login/Logout/AuthenticationFailure
  - Trap с причиной перезагрузки коммутатора

### Fixed
- LLDP пакеты не отправлялись на заблокированные по STP интерфейсы
- LLDP пакеты не отправлялись на интерфейсы включенные в агрегацию Po/Sa
- Некорректные значения в SNMP LLDP-MIB::lldpLocPortId

## [1.8.0] - 2024-02-28
### Added
- Проверка лицензионного ключа при загрузке коммутатора
- Протокол обнаружения односторонних линков (ULDP)
- Функционал изоляции портов в VLAN
- Accounting команд по протоколу TACACS+
- Авторизация команд по протоколу TACACS+
- Настройка приоритета 802.1p для пакетов отправляемых с L3 интерфейсов
- Настройка приоритета 802.1p для пакетов IGMP
- Поддержка TPID 0x88A8 и 0x9100 в QinQ
- Перемаркировка VLAN в сервисных политиках
- Добавлены SNMP OID:
  - Перезагрузка коммутатора
  - Выбор загрузочного файла
  - Настройка отложенной перезагрузки
  - Копирование файлов с/на коммутатор по протоколам tftp/ftp/sftp/scp
  - Диагностика кабеля
  - Управление локальными пользователями
  - Расширенная информация с SFP/SFP+ модулей (серийный номер, производитель, модель, тип и.т.д.)

### Changed
- Изменен порядок вывода логов от новых к старым
- Добавлено поле "Remote ip-address" в пакеты Tacacs+
- Добавлено поле "NAS-Identifier" в пакеты Radius
- Увеличена максимальная длина имени пользователя до 16 символов

### Fixed
- При загрузке startup-config, некорректные команды приводили к игнорированию всех остальных команд в режиме конфигурации интерфейса
- Запрет добавления физ.портов, используемых в monitor session, в Po/Sa
- Работа SNMPv3 с алгоритмами SHA и AES
- Перезагрузка коммутатора при некорректной настройке изоляции портов

## [1.7.3] - 2024-02-29
### Fixed
- Не применяется настройка 'ip address dhcp' из конфигурации при загрузке коммутатора

### Changed
- Строка приглашения при подключении по консоли

## [1.7.1] - 2024-02-10
### Fixed
- Исправлена работа индикатора DIAG на модели SNR-S5310G-48TX
- Некорректный source-MAC в пакетах OAM Dying Gasp
- При загрузке startup-config, если в настройках интерфейса присутствует команда 'alias', не загружались все остальные настройки интерфейса

### Changed
- OID ifDescr .1.3.6.1.2.1.2.2.1.2 всегда отдает имя интерфейса, а не description
- OID IfAlias .1.3.6.1.2.1.31.1.1.1.18 отдает description интерфейса, если description сконфигурирован, иначе, пустую строку. На запись OID IfAlias конфигурирует description интерфейса
- При отсутствии настройки глобального TACACS+ ключа, серверы без настроенного локального ключа в аутентификации enable не используются

## [1.7.0] - 2023-12-25
### Added
- Отключение передатчиков SFP/SFP+ при применении команды 'shutdown' на порту
- Функционал Vlan-translation
- Функционал ZTP (Autoprovisioning)
- Функционал Dynamic Arp Inspection
- Команда 'switchport mode trunk allow-null' запрещающая все VLAN на порту, при переводе в trunk
- Автоопределение DAC-кабелей на XGE портах
- Функционал RSPAN VLAN
- Команда 'switchport flood-control mcast'
- Функционал OAM Dying Gasp
- Поддержка модели SNR-S5110G-24TX
- Поддержка модели SNR-S5110G-48TX
- Поддержка модели SNR-S5210G-8TX
- Поддержка модели SNR-S5310G-48TX-POE
- Поддержка модели SNR-S5210G-24FX-UPS
- Поддержка модели SNR-S5210G-24FX-DC
- Поддержка модели SNR-S5210G-24FX-RPS
- Поддержка модели SNR-S5210G-24TX-RPS
- Поддержка модели SNR-S5210X-8F-DC
- Поддержка модели SNR-S5210X-8F-RPS

### Changed
- Скорректирована работа IGMP Snooping:
  - Реализован флуд unknown-mcast в mrouter порты
  - Максимальное количество VLAN с включенным IGMP Snooping уменьшено до 6
- Ошибка с добавлением "/" в запрашиваемое имя файла, при копировании по TFTP
- Изменена логика работы команды "switchport mode trunk", при её применении разрешаются все Vlan на порту

### Fixed
- SNMP OID .1.3.6.1.2.1.31.1.1.1.18 не передает description порта
- Работа dying gasp 
- Команда 'mac-address-table static' не загружается из startup-config
- В Po/Sa могли быть добавлены порты с различным native vlan
- Сброс команды 'speed-duplex force10g-full media dac'
- Нумерация ifindex xe портов на модели SNR-S5310G-48TX

## [1.6.2] - 2023-11-28
### Added
- Вывод статистики по отброшенным пакетам в выходных очередях портов в команде 'show interface <ifname>'
- Команда для включения отладки IGMP Snooping 'debug igmp snooping brief'
### Changed
- Изменение таймеров на отписку IGMP Snooping

## [1.6.0] - 2023-09-28
### Added
- Функционал BPDU-Tunnel
- Команда 'show ip dhcp-client'
- Проверка контрольной суммы, версии ПО и платформы при обновлении ПО
- SNMP OID .1.3.6.1.4.1.xxx.7.100.1.200 - название модели коммутатора
- SNMP OID .1.3.6.1.4.1.xxx.7.100.1.201 - время до отложенной перезагрузки
- Вывод информации об отложенной перезагрузке при подключении к терминалу
- Команда 'mac-address-table aging-time <time>'
- Команда 'show lldp neighbors brief'
- Поддержка модели SNR-S5210G-24TX-DC
- Поддержка модели SNR-S5210X-8F-UPS
- Поддержка модели SNR-S5210G-24TX-POE-R

### Changed
- Поддержка различных форматов MAC-адреса в команде 'show mac address-table'
- Изменение логики настройки портов в режимах trunk и hybrid 
     - Добавлены команды для перезаписи списка разрешенных vlan для режимов trunk и hybrid:
          'switchport trunk allowed vlan <vlan-list>'
          'switchport hybrid allowed vlan <vlan-list> (tag|untag)'
     - Добавлена команда 'switchport hybrid allowed vlan (add | except | none | remove) <vlan-list> (tag|untag)', аналогичная
       'switchport hybrid allowed vlan (add | except | none | remove) <vlan-list> egress-tagged (enable |disable)'
     - Добавлена команда 'switchport hybrid native vlan <1-4094>", аналогичная существующей "switchport hybrid vlan <1-4094>'
     - Изменена логика работы работы native vlan для режимов trunk и hybrid, в новой логике native vlan не добавляется автоматически в список allowed vlan на порт. Native vlan в режиме hybrid устанавливает только PVID порта.
     - Изменено формирование running-config c использованием команд 'switchport trunk allowed vlan <vlan-list>' и 'switchport hybrid allowed vlan <vlan-list> (tag|untag)'
     - Сохранена совместимость со старыми версиями конфигурации (для обновления на 1.6.0 с более ранних версий, изменение конфигурации не требуется)  
     - При downgrade с 1.6.0 на более ранние версии ПО, необходимо производить downgrade через промежуточную версию 1.5.5 с сохранением конфигурации
          
### Fixed
- Ошибка при создании SNMP community и имен пользователей c символами "-" и "_"
- Ошибка в отображении времени в команде "show reload"
- Некорректная работа команды 'igmp snooping force-igmp-version 2' после перезагрузки
- Некорректное отображение Uptime в команде 'show users'
- Некорректное отображение настройки 'mac-address-table limit' в конфигурации
- Некорректная работа команды 'no mls qos default-cos'
- Некорректное отображение 'negotiation on/off'
- SNMP OID .1.3.6.1.2.1.17.4.3.1.1 мог отдавать неактуальную таблицу MAC-адресов
- На 1G SFP портах SNR-S5210G-24FX по умолчанию отключен negotiation 
- Перезагрузка при вводе команды 'set lldp too-many-neighbors limit'

## [1.5.5] - 2023-09-20
### Added
- Промежуточная прошивка для downgrade с версии 1.6.0 и старше

## [1.5.4] - 2023-09-18
### Added
- Поддержка модели SNR-S5210G-24TX-POE

### Fixed
- Утечка памяти при применении Policy-map
- Зависание управления коммутатором при подключении по Telnet и последующим разрывом сессии в течении 1 сек

## [1.5.2] - 2023-07-24
### Fixed
- LLDP: Перезагрузка при получении двух одинаковых LLDP пакетов в интервале <10 секунд и последующим DOWN/UP порта
- LLDP: Исправлено отбрасывание LLDP пакетов с неизвестными TLV
- LLDP: Исправлено отображение MAC-адреса remote chassis в команде "show lldp port .." 

## [1.5.1] - 2023-07-17
### Added
- Команда 'speed-duplex force10g-full high-leq'  выполняющее повышение значения LEQ 10GE интерфейса для совместимости с оборудованием на чипах Centek (Например OLT BDCOM GP3600)
### Fixed
- Перезагрузка при получении IGMP Group specific query на mrouter порт при наличии на mrouter порту подписки с группой из этого Group specific query

## [1.5.0] - 2023-06-26
### Added
- Функционал Packet-capture (Мониторинг трафика)
- Автоопределение скорости на 10GE портах (speed-duplex auto).
- Dying gasp (для моделей SNR-S5210G-24TX(-UPS) hw 1.2.0,  SNR-S5210G-24FX, SNR-S5210X-8F)
- Поддержка режима PoE LED на SNR-S5210G-24TX-POE
- Команда для запрета отправки Broadcast и Unknown-unicast на порту "switchport flood-control bcast | ucast"

### Changed
- Сохранение конфигурации в startup-config с новым форматом SVI (VlanX) (Внимание! При необходимости downgrade eNOS на версию ниже 1.4.0 необходимо предварительно обновиться на версию 1.4.0 и сохранить конфигурацию)
- Сохранение конфигурации spanning-tree mst configuration при переключении из режима MSTP в STP/RSTP
- Логирование событий login и logout c отображением имени пользователя, протокола и IP

### Fixed
- Транзит STP BPDU пакетов при глобально выключенном STP
- Работа MSTP с разными root коммутаторами в разных MSTI
- Отображение имен пользователей, авторизованных через RADIUS/TACACS в команде "show users"
- Зависание сессий в терминале 
- Разрыв всех telnet-сессий при создании 17го telnet-соединения
- Logout пользователя после завершения работы команды ping
- Некорректная работа DHCP Snooping Binding при переполнении аппаратной таблицы
- Некорректное отключение IGMP Snooping на интерфейсе
- Перезагрузка при удалении IGMP Snooping static group
- Некорректная настройка speed duplex в режиме speed-duplex auto 10 и включенном flowcontrol
- Ошибки в работе MAB
- Работа SNMP OID (ipAddressPrefixTable) .1.3.6.1.2.1.4.32 при наличии маршрута по умолчанию

## [1.4.2] - 2023-04-28
### Fixed
- Циклическая перезагрузка коммутатора с определенной конфигурацией

## [1.4.1] - 2023-04-24
### Fixed
- DHCP-сlient не запрашивает опции в DHCP Discover


## [1.4.0] - 2022-03-27
### Added
- Функционал MAC Authentication Bypass (MAB)
- Отложенная перезагрузка
- Работа MVR на портах в access режиме
- Управление настройками интерфейсов по SNMP (ветка .1.3.6.1.4.1.40418.7.100.3.2)
- Возможность фильтрации по VLAN и COS в MAC ACL
- Команда для отображения утилизации TCAM "show tcam usage"

### Changed
- Изменение имени L3 интерфейса c vlan0.X на vlanX (для ввода доступны форматы "vlan0.X", "vlanX", "vlan X"). Сохранена совместимость конфигурации с предыдущими версиями eNOS
- Изменен формат вывода команд "show version" и "show power inline"

### Fixed
- Некорректное ограничение количества VLAN со включенным DHCP Relay
- Ошибки при вводе "?" после ключевого слова no
- Некорректное редактирование ACL, примененных на портах
- Ошибка при создании extended mac acl
- Настройка igmp snooping static-group на интерфейсе c выкл. IGMP SNOOPING могла приводить к перезагруке
- Перезагрузка при вводе длинного имени интерфейса (более 46 символов)
- Отправка unknown-unicast пакетов с CPU
- Некорректная работа команды "aaa authentication login console local none"
- После удаления интерфейса в состоянии down из channel-group, некорректно отображались настройки speed-duplex данного интерфейса

## [1.3.3] - 2023-02-16
### Fixed
- Ускорена выгрузка таблицы MAC-адресов по SNMP ( OID: 1.3.6.1.2.1.17.7.1.4.3.1.1 )

## [1.3.0] - 2022-12-08
### Added
- Поддержка режима MSTP (spanning-tree mode mstp)
- Возможность принудительной установки версии IGMP (igmp snooping force-igmp-version 2)
- Настройка IP-адреса источника для IGMP пакетов (igmp snooping report source-address)
- Возможность настройки формата DHCP Snooping Option 82 subscriber-id на порту
- Настройка карт DSCP и COS (mls qos map cos-queue; mls qos map dscp-queue)
- Функционал Policy-map и Class-map
- Команда "show spanning-tree brief"
- Команда "show etherchannel detail <1-16>"

### Changed
- Изменена команда настройки весов очередей и добавлена возможность настройки весов на порту (mls qos queue weight)
- Добавлен вывод информации о весах очередей в команде "show mls qos interface"
- Переработана команда "show tech-support"

### Fixed
- Исправлена работа management-address-tlv и system-description TLV в LLDP
- Очистка изученных MAC-адресов при изменении VLAN на порту ge1
- Исправлена работа IGMP Snooping в режиме "no igmp snooping report-supression" (отключена отправка лишних IGMP сообщений)
- Проблема с двойным отключением igmp snooping на VLAN
- Работа функционала bdpu-filter
- Высокая нагрузка CPU при получении таблицы MAC-адресов по SNMP
- Закрытие Telnet/ssh сессии при перезагрузке коммутатора

## [1.2.0] - 2022-09-28
### Added
- Авторизация IGMP через Radius сервер
- Функционал MAC-notification
- OID'ы для управления по SNMP функционалом AM (Address Management)
- Команда для настройки статических IGMP групп "igmp snooping static-group A.B.C.D"

### Fixed
- Запрет создания статических multicast MAC 
- Автоматическое добавление VLAN в список allowed при установке native vlan на порту
- Исправлена работа strom-contol multicast, добавлено ограничение всего multicast трафика, а не только unknown multicast
- Исправлена работа команды 'mls qos default-cos'
- Исправлена неработающая очистка таблицы MAC-адресов на агрегированных портах
- Исправлена перезагрузка коммутатора при применении команд на interface-range после добавления портов в Port-channel/Static-channel
- Исправлено отображение access list в конфигурации
- Запрещена команда show running-config в непривилегированном режиме

### Changed
- Добавлено отключение voice-vlan на интерфейсах при глобальном отключении

## [1.1.0] - 2022-07-01
### Added
- Функционал ограничения доступа по telnet/ssh к управлению коммутатора
- Зеркалирование трафика port-based
- PPPoE Intermediate agent
- Port-security
- AM ( Static IP-MAC-Port binding)
- Strom-control action log/errdisable
- DHCP клиент
- Iperf3 клиент
- Команда отображения сводной статистики по интерфейсам

### Fixed
- Некорректное удаление L3 интерфейса со включеной функцией IGMP Snooping
- Перезагрузка коммутатора при конфигурации диапазона L3-интерфейсов
- Команда clear mac address-table dynamic приводила к удалению статических MAC-адресов
- Некорректная работа команды ограничения доступа по SNMP 
- Сохранение уровня логирования в команде logging server

### Changed
- Отображение VLAN 1 на trunk и hybrid портах в явном виде
- Добавлена передача аттрибута NAS-IP-ADDRESS в Radius запросах


## [1.0.0] - 2022-03-28
### Added
- Обновлен загрузчик до версии 1.1
- Функционал фильтрации IGMP пакетов по типам  Report / Query на портах
- Функционал фильтрации IGMP подписок по адресам multicast групп
- Функционал ограничения количества IGMP подписок на порту
- Отображение заряда АКБ в %
- Команда traceroute
- Функционал DHCPv4 Relay
- Функционал DHCPv4 Relay share-vlan
- Функционал DHCP Snooping Binding
- Функционал DHCP Snooping Binding user-control
- Функционал ограничения кол-ва клиентов в dhcp snooping binding
- Настройка policy (keep,drop,replace) для DHCP Snooping Opt. 82
- Команда ip dhcp relay broadcast suppress


### Fixed
- Изменение диапазона допустимого номера группы channel-group
- Исправлена работа команды show mac-address-table limit
- Добавлено сообщение об ошибке во время выполнения команды igmp snooping multicast-vlan при отсутствии созданного VLAN
- Добавлена очистка изученных MAC-адресов на порту при переходе порта в down
- Добавлен запрет пользователю с ролью network-operator выполнять команды mv, rm, delete startup-config, copy running-config startup-config

### Changed
- В команде "copy (tftp|ftp|sftp|scp) <url> bootrom" проверка расширения в имени файла загрузчика изменено с .bin на .rom

## [0.13.0] - 2021-11-23
### Added
- Настройка ограничения pps пакетов, направляемых в CPU по протоколам (cpu-rx-ratelimit protocol ..)
- Отображение статистики по пакетам, направленным в CPU (show cpu-rx-ratelimit ..)

### Changed
- Изменен вывод команды "show privilege"
- Убран "hostname" из логов на flash и лишние пробелы из логов в RAM
- Переработан функционал ограничения количества MAC адресов на физических интерфейсах (mac-address-table limit maximum):
     - Минимальное количество MAC адресов уменьшено до 1
     - Включена блокировка трафика с неизученных MAC адресов на портах с установленным ограничением
- В конфигурации секция interface vlan перенесена после всех физических и PO/SA интерфейсов

### Fixed
- Исправлена отправка unknown-unicast пакетов с CPU
- Исправлена ошибка при удалении syslog-сервера

## [0.12.3] - 2021-11-16
### Fixed
- Исправлена фильтрация DHCP и IGMP пакетов, перенаправляемых в CPU, по тегам VLAN и STP статусам 
- Исправлена ошибка с очисткой IGMP групп в чипе при удалении VLAN или interface VLAN
- Исправлена ошибка в функционале Voice-Vlan, приводящая к перезагрузке
- Исправлена некорректная команда ACL при указании порта 67 (BOOTP)
- Исправлена ошибка при изменении существующего правила QinQ

## [0.12.2] - 2021-10-07
### Fixed
- Исправлена отправка STP BPDU при загрузке коммутатора при отключенном STP 

### Added
- Команда CLI для обновления загрузчика с проверкой целостности данных
- Поддержка протокола TACACS+ для AAA

## [0.12.1] - 2021-09-13
### Fixed
- Исправлена обработка ошибок при неуспешном создании ARP в HW
- Убран вывод ошибки при применении команды negotiation на 10GE портах
- Проверка конфигурации интерфейса в состоянии down при добавлении в агрегацию
- Прозрачная передача STP BPDU, если STP отключено глобально
- Блокировка BPDU на портах с отключенным STP

### Added
- Определение типа перезагрузки (warm, cold)
- Команда для глобального отключения STP
- Функционал ограничения доступа к SNMP-серверу (snmp-server securityip)
- Функционал Selective Q-in-Q
- SNTP клиент

### Changed
- Уровень некоторых логов для igmp encode переведен в NOTIFY

## [0.12.0]
### Fixed
- Установка Burst Size в storm-control

### Added
- Поддержка Protocol-based VLAN
- Поддержка Voice-VLAN (MAC-based VLAN)
- Возможность смены типа кабеля на DAC, управление negotiation на кабелях 1G
- Поддержка private OID 57206
- Авторизация пользователей через RADIUS сервер
- Аутентификация пользователей через RADIUS сервер
- Проверка через RADIUS пароля при входе в привилегированный режим

### Changed
- Отключена функция обновления MAC-адреса при изменении Agg
- Оптимизация считывания показаний с UPS платы

## [0.11.1]
### Changed
- Хранение VLAN MAC Address в Bridge.

## [0.11.0]
### Fixed
- Исправлена задержка 1 сек при подписке на Multicast-группу.
- Исправлена обработка IGMP пакетов c TTL > 1.
- Исправлена утечка памяти при обработке LLDP пакетов с двумя адресами управления(IPv4 + IPv6)

### Added
- Управление пропускной способностью физических портов (bandwidth control)
- Поддержка применения storm-control на портах-агрегаторах
- Периодический автобэкап конфигурации на tftp(sftp,scp,ftp) сервер

### Changed
- SNMP sysObjectID.
- Переработана команда clock timezone. Добавлена возможность настроить смещение от UTC. Перевод часового пояса по умолчанию в UTC+0.
- Переработан вывод команды show clock. Добавлен вывод настроенного смещения от UTC и имени настройки.
- Ограничения и тип шифрования enable-пароля
- Улучшен алгоритм опроса UPS платы. 

## [0.10.3]
### Fixed
- Исправлена ошибка связанная с удалением Secondary IP адреса при наличии ARP в данной сети.
- Исправлена проблема с переводом 10G интерфейсов из режима 1G в 10GE.
- Улучшена стабильность работы коммутатора, исправлены ошибки которые могли приводить к зависанию.

## [0.10.2]
### Fixed
 - Исправлена проблема с чтением данных с АЦП UPS платы
 
## [0.10.1]
### Fixed
 - Исправлено зависание при опросе системных ресурсов по SNMP
 
## [0.10.0]
### Added
- Поддержка статических ARP записей
- Добавлена команда "show flash"
- Периодический опрос счётчиков интерфейсов. Расчёт и вывод средних pps, bps за последние 5 секунд и 5 минут
- Периодический опрос загрузки CPU. Расчёт и вывод утилизации CPU за последние 5секунд, 30 секунд и за 5 минут
- SNMP MIB-ы для информации о DDMI .1.3.6.1.4.1.40418.7.100.30.1
- SNMP MIB-ы с информацией о питании по сети и о батарее, и TRAP-ы о смене статуса питания по сети и о разрядке батареи
- SNMP MIB-ы с информацией о ресурсах коммутатора .1.3.6.1.4.1.40418.7.100.1.11.
- Поддержка SNMP non-unicast packets OID

### Changed
- Добавлено отображение информации о flash памяти в команду "ls" и "dir"
- Переработана команда "show system resources" для вывода утилизации CPU
- Переработан вывод show interface

## [0.9.3]
### Added
- Команда очистки базы выданных IP адресов "clear ip dhcp binding"

### Changed
- Отображение списка выданных IP адресов "show ip dhcp binding"

## [0.9.2]
### Added
- Очистка RAM файла логов

## [0.9.0]
### Added
- Поддержка H/W L3 Routing
- DHCP Server

## [0.8.0]
### Added
- DHCP Snooping с опцией 82
- Настройка опции 82 по шаблонам
- Журналирование команд CLI
- Loopback detection без STP

### Fixed
- Установка MAC-адреса tap0 из CPU-MAC
- Обязательное указание dst порта при указании src порта для TCP правил в Extended ACL
- Отправка сообщений на Syslog-сервер
- SNMP System MIB

### Changed
- Замена ethertype на fixed field для IP ACL в TCAM
- Отключение неиспользуемых IP протоколов для команд access-list
- Отключено добавление access-list в access-group, уже прикрепленную к интерфейсу
